Module ij
Package ij.plugin

# Class Commands

java.lang.Object
ij.plugin.Commands

All Implemented Interfaces:
  `PlugIn`

public class Commands extends Object implements PlugIn
Runs miscellaneous File and Window menu commands.

## Constructor Summary

Constructors
Constructor
Description
`Commands()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`closeAll()`
Closes all image windows, or returns 'false' if the user cancels the unsaved changes dialog box.
`void`
`run(String cmd)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Commands

public Commands()

## Method Details

### run

public void run(String cmd)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### closeAll

public static boolean closeAll()
Closes all image windows, or returns 'false' if the user cancels the unsaved changes dialog box.